### Type parameters

- #### T

### Hierarchy

- BaseXmlComponent
  - XmlAttributeComponent
    - Attributes
    - AlignmentAttributes
    - IndentAttributes
    - RunFontAttributes
    - FidCharAttrs
    - TextAttributes
    - StyleAttributes
    - TextAttributes
    - SimplePosAttributes
    - HorizontalPositionAttributes
    - VerticalPositionAttributes
    - GraphicDataAttributes
    - BlipAttributes
    - PicLocksAttributes
    - NonVisualPropertiesAttributes
    - PicAttributes
    - ExtentsAttributes
    - OffsetAttributes
    - PresetGeometryAttributes
    - ShapePropertiesAttributes
    - GraphicAttributes
    - WrapSquareAttributes
    - WrapTightAttributes
    - WrapTopAndBottomAttributes
    - DocPropertiesAttributes
    - EffectExtentAttributes
    - ExtentAttributes
    - GraphicFrameLockAttributes
    - AnchorAttributes
    - InlineAttributes
    - SpacingAttributes
    - TabAttributes
    - FootNoteReferenceRunAttributes
    - LevelAttributes
    - NumAttributes
    - LevelOverrideAttributes
    - StartOverrideAttributes
    - HyperlinkAttributes
    - BookmarkStartAttributes
    - BookmarkEndAttributes
    - CellBorderAttributes
    - GridSpanAttributes
    - VMergeAttributes
    - VAlignAttributes
    - TableCellWidthAttributes
    - TableCellShadingAttributes
    - GridColAttributes
    - TableWidthAttributes
    - TableLayoutAttributes
    - TableBordersAttributes
    - AppPropertiesAttributes
    - ContentTypeAttributes
    - DefaultAttributes
    - OverrideAttributes
    - DocumentAttributes
    - ColumnsAttributes
    - DocGridAttributes
    - FooterReferenceAttributes
    - HeaderReferenceAttributes
    - PageMarginAttributes
    - PageSizeAttributes
    - PageNumberTypeAttributes
    - FooterAttributes
    - RelationshipsAttributes
    - RelationshipAttributes
    - FootnoteAttributes
    - FootnotesAttributes
    - HeaderAttributes
    - AbstractNumberingAttributes
    - ComponentAttributes
    - StyleAttributes
    - TitlePageAttributes
    - LatentStyleExceptionAttributes

## Index

### Constructors

- constructor

### Properties

- deleted
- root
- rootKey
- xmlKeys

### Accessors

- isDeleted

### Methods

- prepForXml
- set

## Constructors

### constructor

- new XmlAttributeComponent(properties: T): XmlAttributeComponent

- Overrides BaseXmlComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:8

  #### Parameters

  - ##### properties: T

  #### Returns XmlAttributeComponent

## Properties

### Protected deleted

deleted: boolean = false

Inherited from BaseXmlComponent.deleted

- Defined in file/xml-components/base.ts:5

### Protected root

root: T

- Defined in file/xml-components/default-attributes.ts:7

### Protected rootKey

rootKey: string

Inherited from BaseXmlComponent.rootKey

- Defined in file/xml-components/base.ts:4

### Protected xmlKeys

xmlKeys: AttributeMap<T>

- Defined in file/xml-components/default-attributes.ts:8

## Accessors

### isDeleted

- get isDeleted(): boolean

- Inherited from BaseXmlComponent.isDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### prepForXml

- prepForXml(): IXmlableObject

- Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:15

  #### Returns IXmlableObject

### set

- set(properties: T): void

- - Defined in file/xml-components/default-attributes.ts:27

  #### Parameters

  - ##### properties: T

  #### Returns void

Generated using TypeDoc